<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes" indent="no"/>
<?startSampleFile ?>
<!-- xq362.xsl: converts xq357.xml into xq363.txt -->

<xsl:template match="chapter">

  <xsl:for-each select="descendant::figure/title">

    <xsl:if test="position() = 1">
      First figure title in chapter: <xsl:value-of select="."/>
    </xsl:if>

    <xsl:if test="position() = last()">
      Last figure title in chapter: <xsl:value-of select="."/>
    </xsl:if>

  </xsl:for-each>

</xsl:template>
<?endSampleFile ?>

</xsl:stylesheet>
